Index: protocols/yahoo/yahoo2_callbacks.h
===================================================================
--- protocols/yahoo/yahoo2_callbacks.h	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/yahoo2_callbacks.h	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -590,26 +592,26 @@
  *      Called when the search result received from server
  * Params:
- *      id  	 - the id that identifies the server connection
- * 	found	 - total number of results returned in the current result set
- * 	start	 - offset from where the current result set starts
- * 	total	 - total number of results available (start + found <= total)
- * 	contacts - the list of results as a YList of yahoo_found_contact
- * 		   these will be freed after this function returns, so
- * 		   if you need to use the information, make a copy
+ *      id       - the id that identifies the server connection
+ *      found	 - total number of results returned in the current result set
+ *      start	 - offset from where the current result set starts
+ *      total	 - total number of results available (start + found <= total)
+ *      contacts - the list of results as a YList of yahoo_found_contact
+ *                 these will be freed after this function returns, so
+ *                 if you need to use the information, make a copy
  */
 	void YAHOO_CALLBACK_TYPE(ext_yahoo_got_search_result) (int id,
-		int found, int start, int total, YList *contacts);
+	                                                       int found, int start, int total, YList *contacts);
 
 /*
  * Name: ext_yahoo_error
- * 	Called on error.
- * Params:
- * 	id   - the id that identifies the server connection
- * 	err  - the error message
- * 	fatal- whether this error is fatal to the connection or not
- * 	num  - Which error is this
+ *      Called on error.
+ * Params:
+ *      id   - the id that identifies the server connection
+ *      err  - the error message
+ *      fatal- whether this error is fatal to the connection or not
+ *      num  - Which error is this
  */
 	void YAHOO_CALLBACK_TYPE(ext_yahoo_error) (int id, const char *err,
-		int fatal, int num);
+	                                           int fatal, int num);
 
 /*
@@ -622,5 +624,5 @@
  */
 	void YAHOO_CALLBACK_TYPE(ext_yahoo_webcam_viewer) (int id,
-		const char *who, int connect);
+	                                                   const char *who, int connect);
 
 /*
@@ -632,13 +634,13 @@
  */
 	void YAHOO_CALLBACK_TYPE(ext_yahoo_webcam_data_request) (int id,
-		int send);
+	                                                         int send);
 
 /*
  * Name: ext_yahoo_log
- * 	Called to log a message.
- * Params:
- * 	fmt  - the printf formatted message
- * Returns:
- * 	0
+ *      Called to log a message.
+ * Params:
+ *      fmt  - the printf formatted message
+ * Returns:
+ *      0
  */
 	int YAHOO_CALLBACK_TYPE(ext_yahoo_log) (const char *fmt, ...);
@@ -646,24 +648,24 @@
 /*
  * Name: ext_yahoo_add_handler
- * 	Add a listener for the fd.  Must call yahoo_read_ready
- * 	when a YAHOO_INPUT_READ fd is ready and yahoo_write_ready
- * 	when a YAHOO_INPUT_WRITE fd is ready.
- * Params:
- * 	id   - the id that identifies the server connection
- * 	fd   - the fd object on which to listen
- * 	cond - the condition on which to call the callback
- * 	data - callback data to pass to yahoo_*_ready
- * 	
+ *      Add a listener for the fd.  Must call yahoo_read_ready
+ *      when a YAHOO_INPUT_READ fd is ready and yahoo_write_ready
+ *      when a YAHOO_INPUT_WRITE fd is ready.
+ * Params:
+ *      id   - the id that identifies the server connection
+ *      fd   - the fd object on which to listen
+ *      cond - the condition on which to call the callback
+ *      data - callback data to pass to yahoo_*_ready
+ *
  * Returns: a tag to be used when removing the handler
  */
 	int YAHOO_CALLBACK_TYPE(ext_yahoo_add_handler) (int id, void *fd,
-		yahoo_input_condition cond, void *data);
+	                                                yahoo_input_condition cond, void *data);
 
 /*
  * Name: ext_yahoo_remove_handler
- * 	Remove the listener for the fd.
- * Params:
- * 	id   - the id that identifies the connection
- * 	tag  - the handler tag to remove
+ *      Remove the listener for the fd.
+ * Params:
+ *      id   - the id that identifies the connection
+ *      tag  - the handler tag to remove
  */
 	void YAHOO_CALLBACK_TYPE(ext_yahoo_remove_handler) (int id, int tag);
@@ -671,10 +673,10 @@
 /*
  * Name: ext_yahoo_connect
- * 	Connect to a host:port
- * Params:
- * 	host - the host to connect to
- * 	port - the port to connect on
- * Returns:
- * 	a unix file descriptor to the socket
+ *      Connect to a host:port
+ * Params:
+ *      host - the host to connect to
+ *      port - the port to connect on
+ * Returns:
+ *      a unix file descriptor to the socket
  */
 //	int YAHOO_CALLBACK_TYPE(ext_yahoo_connect) (const char *host, int port);
@@ -682,32 +684,32 @@
 /*
  * Name: ext_yahoo_connect_async
- * 	Connect to a host:port asynchronously. This function should return
- * 	immediately returing a tag used to identify the connection handler,
- * 	or a pre-connect error (eg: host name lookup failure).
- * 	Once the connect completes (successfully or unsuccessfully), callback
- * 	should be called (see the signature for yahoo_connect_callback).
- * 	The callback may safely be called before this function returns, but
- * 	it should not be called twice.
- * Params:
- * 	id   - the id that identifies this connection
- * 	host - the host to connect to
- * 	port - the port to connect on
- * 	callback - function to call when connect completes
- * 	callback_data - data to pass to the callback function
- * 	use_ssl - Whether we need an SSL connection
- * Returns:
- * 	a tag signifying the connection attempt
+ *      Connect to a host:port asynchronously. This function should return
+ *      immediately returing a tag used to identify the connection handler,
+ *      or a pre-connect error (eg: host name lookup failure).
+ *      Once the connect completes (successfully or unsuccessfully), callback
+ *      should be called (see the signature for yahoo_connect_callback).
+ *      The callback may safely be called before this function returns, but
+ *      it should not be called twice.
+ * Params:
+ *      id   - the id that identifies this connection
+ *      host - the host to connect to
+ *      port - the port to connect on
+ *      callback - function to call when connect completes
+ *      callback_data - data to pass to the callback function
+ *      use_ssl - Whether we need an SSL connection
+ * Returns:
+ *      a tag signifying the connection attempt
  */
 	int YAHOO_CALLBACK_TYPE(ext_yahoo_connect_async) (int id,
-		const char *host, int port, yahoo_connect_callback callback,
-		void *callback_data, int use_ssl);
+	                                                  const char *host, int port, yahoo_connect_callback callback,
+	                                                  void *callback_data, int use_ssl);
 
 /*
  * Name: ext_yahoo_get_ip_addr
- * 	get IP Address for a domain name
- * Params:
- * 	domain - Domain name
- * Returns:
- * 	Newly allocated string containing the IP Address in IPv4 notation
+ *      get IP Address for a domain name
+ * Params:
+ *      domain - Domain name
+ * Returns:
+ *      Newly allocated string containing the IP Address in IPv4 notation
  */
 	char *YAHOO_CALLBACK_TYPE(ext_yahoo_get_ip_addr) (const char *domain);
@@ -715,11 +717,11 @@
 /*
  * Name: ext_yahoo_write
- * 	Write data from the buffer into the socket for the specified connection
- * Params:
- * 	fd  - the file descriptor object that identifies this connection
- * 	buf - Buffer to write the data from
- * 	len - Length of the data
- * Returns:
- * 	Number of bytes written or -1 for error
+ *      Write data from the buffer into the socket for the specified connection
+ * Params:
+ *      fd  - the file descriptor object that identifies this connection
+ *      buf - Buffer to write the data from
+ *      len - Length of the data
+ * Returns:
+ *      Number of bytes written or -1 for error
  */
 	int YAHOO_CALLBACK_TYPE(ext_yahoo_write) (void *fd, char *buf, int len);
@@ -727,11 +729,11 @@
 /*
  * Name: ext_yahoo_read
- * 	Read data into a buffer from socket for the specified connection
- * Params:
- * 	fd  - the file descriptor object that identifies this connection
- * 	buf - Buffer to read the data into
- * 	len - Max length to read
- * Returns:
- * 	Number of bytes read or -1 for error
+ *      Read data into a buffer from socket for the specified connection
+ * Params:
+ *      fd  - the file descriptor object that identifies this connection
+ *      buf - Buffer to read the data into
+ *      len - Max length to read
+ * Returns:
+ *      Number of bytes read or -1 for error
  */
 	int YAHOO_CALLBACK_TYPE(ext_yahoo_read) (void *fd, char *buf, int len);
@@ -739,10 +741,10 @@
 /*
  * Name: ext_yahoo_close
- * 	Close the file descriptor object and free its resources. Libyahoo2 will not
- * 	use this object again.
- * Params:
- * 	fd  - the file descriptor object that identifies this connection
- * Returns:
- * 	Nothing
+ *      Close the file descriptor object and free its resources. Libyahoo2 will not
+ *      use this object again.
+ * Params:
+ *      fd  - the file descriptor object that identifies this connection
+ * Returns:
+ *      Nothing
  */
 	void YAHOO_CALLBACK_TYPE(ext_yahoo_close) (void *fd);
@@ -750,17 +752,18 @@
 /*
  * Name: ext_yahoo_got_buddy_change_group
- * 	Acknowledgement of buddy changing group
- * Params:
- * 	id: client id
- * 	me: The user
- * 	who: Buddy name
- * 	old_group: Old group name
- * 	new_group: New group name
- * Returns:
- * 	Nothing
+ *      Acknowledgement of buddy changing group
+ * Params:
+ *      id: client id
+ *      me: The user
+ *      who: Buddy name
+ *      old_group: Old group name
+ *      new_group: New group name
+ * Returns:
+ *      Nothing
  */
 	void YAHOO_CALLBACK_TYPE(ext_yahoo_got_buddy_change_group) (int id,
-		const char *me, const char *who, const char *old_group,
-		const char *new_group);
+	                                                            const char *me, const char *who,
+	                                                            const char *old_group,
+	                                                            const char *new_group);
 
 #ifdef USE_STRUCT_CALLBACKS
Index: protocols/yahoo/yahoo_debug.h
===================================================================
--- protocols/yahoo/yahoo_debug.h	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/yahoo_debug.h	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -22,17 +22,19 @@
 extern int yahoo_log_message(char *fmt, ...);
 
-#define NOTICE(x) if(yahoo_get_log_level() >= YAHOO_LOG_NOTICE) { yahoo_log_message x; yahoo_log_message("\n"); }
+#define NOTICE(x) if (yahoo_get_log_level() >= YAHOO_LOG_NOTICE) { yahoo_log_message x; yahoo_log_message("\n"); }
 
-#define LOG(x) if(yahoo_get_log_level() >= YAHOO_LOG_INFO) { yahoo_log_message("%s:%d: ", __FILE__, __LINE__); \
-	yahoo_log_message x; \
-	yahoo_log_message("\n"); }
+#define LOG(x) if (yahoo_get_log_level() >= YAHOO_LOG_INFO) { yahoo_log_message("%s:%d: ", __FILE__, __LINE__); \
+		                                              yahoo_log_message x; \
+		                                              yahoo_log_message("\n"); }
 
-#define WARNING(x) if(yahoo_get_log_level() >= YAHOO_LOG_WARNING) { yahoo_log_message("%s:%d: warning: ", __FILE__, __LINE__); \
-	yahoo_log_message x; \
-	yahoo_log_message("\n"); }
+#define WARNING(x) if (yahoo_get_log_level() >= YAHOO_LOG_WARNING) { yahoo_log_message("%s:%d: warning: ", __FILE__, \
+		                                                                       __LINE__); \
+		                                                     yahoo_log_message x; \
+		                                                     yahoo_log_message("\n"); }
 
-#define DEBUG_MSG(x) if(yahoo_get_log_level() >= YAHOO_LOG_DEBUG) { yahoo_log_message("%s:%d: debug: ", __FILE__, __LINE__); \
-	yahoo_log_message x; \
-	yahoo_log_message("\n"); }
+#define DEBUG_MSG(x) if (yahoo_get_log_level() >= YAHOO_LOG_DEBUG) { yahoo_log_message("%s:%d: debug: ", __FILE__, \
+		                                                                       __LINE__); \
+		                                                     yahoo_log_message x; \
+		                                                     yahoo_log_message("\n"); }
 
 
Index: protocols/yahoo/yahoo_httplib.c
===================================================================
--- protocols/yahoo/yahoo_httplib.c	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/yahoo_httplib.c	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -32,6 +32,6 @@
 char *strchr(), *strrchr();
 # if !HAVE_MEMCPY
-#  define memcpy(d, s, n) bcopy ((s), (d), (n))
-#  define memmove(d, s, n) bcopy ((s), (d), (n))
+#  define memcpy(d, s, n) bcopy((s), (d), (n))
+#  define memmove(d, s, n) bcopy((s), (d), (n))
 # endif
 #endif
@@ -53,7 +53,7 @@
 #ifdef USE_STRUCT_CALLBACKS
 extern struct yahoo_callbacks *yc;
-#define YAHOO_CALLBACK(x)	yc->x
+#define YAHOO_CALLBACK(x)       yc->x
 #else
-#define YAHOO_CALLBACK(x)	x
+#define YAHOO_CALLBACK(x)       x
 #endif
 
@@ -69,19 +69,22 @@
 
 		do {
-			rc = YAHOO_CALLBACK(ext_yahoo_read) (fd, &c, 1);
-		} while (rc == -1 && (errno == EINTR || errno == EAGAIN));	/* this is bad - it should be done asynchronously */
+			rc = YAHOO_CALLBACK (ext_yahoo_read) (fd, &c, 1);
+		} while (rc == -1 && (errno == EINTR || errno == EAGAIN));      /* this is bad - it should be done asynchronously */
 
 		if (rc == 1) {
-			if (c == '\r')	/* get rid of \r */
+			if (c == '\r') { /* get rid of \r */
 				continue;
+			}
 			*ptr = c;
-			if (c == '\n')
+			if (c == '\n') {
 				break;
+			}
 			ptr++;
 		} else if (rc == 0) {
-			if (n == 1)
-				return (0);	/* EOF, no data */
-			else
-				break;	/* EOF, w/ data */
+			if (n == 1) {
+				return (0);     /* EOF, no data */
+			} else {
+				break;  /* EOF, w/ data */
+			}
 		} else {
 			return -1;
@@ -95,5 +98,5 @@
 
 static int url_to_host_port_path(const char *url,
-	char *host, int *port, char *path, int *ssl)
+                                 char *host, int *port, char *path, int *ssl)
 {
 	char *urlcopy = NULL;
@@ -127,8 +130,9 @@
 
 	if (!colon || (slash && slash < colon)) {
-		if (*ssl)
+		if (*ssl) {
 			*port = 443;
-		else
+		} else {
 			*port = 80;
+		}
 	} else {
 		*colon = 0;
@@ -161,12 +165,15 @@
 	int len = strlen(instr);
 
-	if (!(str = y_new(char, 3 *len + 1)))
-		 return "";
+	if (!(str = y_new(char, 3 * len + 1))) {
+		return "";
+	}
 
 	while (instr[ipos]) {
-		while (isurlchar(instr[ipos]))
+		while (isurlchar(instr[ipos])) {
 			str[bpos++] = instr[ipos++];
-		if (!instr[ipos])
+		}
+		if (!instr[ipos]) {
 			break;
+		}
 
 		snprintf(&str[bpos], 4, "%%%02x", instr[ipos] & 0xff);
@@ -192,16 +199,20 @@
 	int len = strlen(instr);
 
-	if (!(str = y_new(char, len + 1)))
-		 return "";
+	if (!(str = y_new(char, len + 1))) {
+		return "";
+	}
 
 	while (instr[ipos]) {
-		while (instr[ipos] && instr[ipos] != '%')
+		while (instr[ipos] && instr[ipos] != '%') {
 			if (instr[ipos] == '+') {
 				str[bpos++] = ' ';
 				ipos++;
-			} else
+			} else {
 				str[bpos++] = instr[ipos++];
-		if (!instr[ipos])
+			}
+		}
+		if (!instr[ipos]) {
 			break;
+		}
 
 		if (instr[ipos + 1] && instr[ipos + 2]) {
@@ -210,5 +221,5 @@
 			entity[1] = instr[ipos++];
 			sscanf(entity, "%2x", &dec);
-			str[bpos++] = (char)dec;
+			str[bpos++] = (char) dec;
 		} else {
 			str[bpos++] = instr[ipos++];
@@ -230,25 +241,29 @@
 	char entity[4] = { 0, 0, 0, 0 };
 	char *entitymap[5][2] = {
-		{"amp;", "&"},
-		{"quot;", "\""},
-		{"lt;", "<"},
-		{"gt;", "<"},
-		{"nbsp;", " "}
+		{ "amp;", "&" },
+		{ "quot;", "\"" },
+		{ "lt;", "<" },
+		{ "gt;", "<" },
+		{ "nbsp;", " " }
 	};
 	unsigned dec;
 	int len = strlen(instr);
 
-	if (!(str = y_new(char, len + 1)))
-		 return "";
+	if (!(str = y_new(char, len + 1))) {
+		return "";
+	}
 
 	while (instr[ipos]) {
-		while (instr[ipos] && instr[ipos] != '&')
+		while (instr[ipos] && instr[ipos] != '&') {
 			if (instr[ipos] == '+') {
 				str[bpos++] = ' ';
 				ipos++;
-			} else
+			} else {
 				str[bpos++] = instr[ipos++];
-		if (!instr[ipos] || !instr[ipos + 1])
+			}
+		}
+		if (!instr[ipos] || !instr[ipos + 1]) {
 			break;
+		}
 		ipos++;
 
@@ -256,18 +271,20 @@
 			ipos++;
 			epos = 0;
-			while (instr[ipos] != ';')
+			while (instr[ipos] != ';') {
 				entity[epos++] = instr[ipos++];
+			}
 			sscanf(entity, "%u", &dec);
-			str[bpos++] = (char)dec;
+			str[bpos++] = (char) dec;
 			ipos++;
 		} else {
 			int i;
-			for (i = 0; i < 5; i++)
+			for (i = 0; i < 5; i++) {
 				if (!strncmp(instr + ipos, entitymap[i][0],
-						strlen(entitymap[i][0]))) {
+				             strlen(entitymap[i][0]))) {
 					str[bpos++] = entitymap[i][1][0];
 					ipos += strlen(entitymap[i][0]);
 					break;
 				}
+			}
 		}
 	}
@@ -294,7 +311,9 @@
 {
 	struct callback_data *ccd = data;
-	if (error == 0)
-		YAHOO_CALLBACK(ext_yahoo_write) (fd, ccd->request,
-			strlen(ccd->request));
+
+	if (error == 0) {
+		YAHOO_CALLBACK (ext_yahoo_write) (fd, ccd->request,
+		                                  strlen(ccd->request));
+	}
 	free(ccd->request);
 	ccd->callback(ccd->id, fd, error, ccd->user_data);
@@ -303,7 +322,8 @@
 
 static void yahoo_send_http_request(int id, char *host, int port, char *request,
-	yahoo_get_fd_callback callback, void *data, int use_ssl)
+                                    yahoo_get_fd_callback callback, void *data, int use_ssl)
 {
 	struct callback_data *ccd = y_new0(struct callback_data, 1);
+
 	ccd->callback = callback;
 	ccd->id = id;
@@ -311,10 +331,10 @@
 	ccd->user_data = data;
 
-	YAHOO_CALLBACK(ext_yahoo_connect_async) (id, host, port,
-		connect_complete, ccd, use_ssl);
+	YAHOO_CALLBACK (ext_yahoo_connect_async) (id, host, port,
+	                                          connect_complete, ccd, use_ssl);
 }
 
 void yahoo_http_post(int id, const char *url, const char *cookies,
-	long content_length, yahoo_get_fd_callback callback, void *data)
+                     long content_length, yahoo_get_fd_callback callback, void *data)
 {
 	char host[255];
@@ -324,16 +344,17 @@
 	int ssl = 0;
 
-	if (!url_to_host_port_path(url, host, &port, path, &ssl))
+	if (!url_to_host_port_path(url, host, &port, path, &ssl)) {
 		return;
+	}
 
 	/* thanks to kopete dumpcap */
 	snprintf(buff, sizeof(buff),
-		"POST %s HTTP/1.1\r\n"
-		"Cookie: %s\r\n"
-		"User-Agent: Mozilla/5.0\r\n"
-		"Host: %s\r\n"
-		"Content-Length: %ld\r\n"
-		"Cache-Control: no-cache\r\n"
-		"\r\n", path, cookies, host, content_length);
+	         "POST %s HTTP/1.1\r\n"
+	         "Cookie: %s\r\n"
+	         "User-Agent: Mozilla/5.0\r\n"
+	         "Host: %s\r\n"
+	         "Content-Length: %ld\r\n"
+	         "Cache-Control: no-cache\r\n"
+	         "\r\n", path, cookies, host, content_length);
 
 	yahoo_send_http_request(id, host, port, buff, callback, data, ssl);
@@ -341,5 +362,5 @@
 
 void yahoo_http_get(int id, const char *url, const char *cookies, int http11,
-	int keepalive, yahoo_get_fd_callback callback, void *data)
+                    int keepalive, yahoo_get_fd_callback callback, void *data)
 {
 	char host[255];
@@ -350,21 +371,23 @@
 	int ssl = 0;
 
-	if (!url_to_host_port_path(url, host, &port, path, &ssl))
+	if (!url_to_host_port_path(url, host, &port, path, &ssl)) {
 		return;
+	}
 
 	/* Allow cases when we don't need to send a cookie */
-	if (cookies)
+	if (cookies) {
 		snprintf(cookiebuff, sizeof(cookiebuff), "Cookie: %s\r\n",
-			cookies);
-	else
+		         cookies);
+	} else {
 		cookiebuff[0] = '\0';
+	}
 
 	snprintf(buff, sizeof(buff),
-		"GET %s HTTP/1.%s\r\n"
-		"%sHost: %s\r\n"
-		"User-Agent: Mozilla/4.5 [en] (" PACKAGE "/" VERSION ")\r\n"
-		"Accept: */*\r\n"
-		"%s" "\r\n", path, http11?"1":"0", cookiebuff, host,
-		keepalive? "Connection: Keep-Alive\r\n":"Connection: close\r\n");
+	         "GET %s HTTP/1.%s\r\n"
+	         "%sHost: %s\r\n"
+	         "User-Agent: Mozilla/4.5 [en] (" PACKAGE "/" VERSION ")\r\n"
+	         "Accept: */*\r\n"
+	         "%s" "\r\n", path, http11 ? "1" : "0", cookiebuff, host,
+	         keepalive ? "Connection: Keep-Alive\r\n" : "Connection: close\r\n");
 
 	yahoo_send_http_request(id, host, port, buff, callback, data, ssl);
@@ -372,5 +395,5 @@
 
 void yahoo_http_head(int id, const char *url, const char *cookies, int len,
-	char *payload, yahoo_get_fd_callback callback, void *data)
+                     char *payload, yahoo_get_fd_callback callback, void *data)
 {
 	char host[255];
@@ -381,24 +404,26 @@
 	int ssl = 0;
 
-	if (!url_to_host_port_path(url, host, &port, path, &ssl))
+	if (!url_to_host_port_path(url, host, &port, path, &ssl)) {
 		return;
+	}
 
 	/* Allow cases when we don't need to send a cookie */
-	if (cookies)
+	if (cookies) {
 		snprintf(cookiebuff, sizeof(cookiebuff), "Cookie: %s\r\n",
-			cookies);
-	else
+		         cookies);
+	} else {
 		cookiebuff[0] = '\0';
+	}
 
 	snprintf(buff, sizeof(buff),
-		"HEAD %s HTTP/1.0\r\n"
-		"Accept: */*\r\n"
-		"Host: %s:%d\r\n"
-		"User-Agent: Mozilla/4.5 [en] (" PACKAGE "/" VERSION ")\r\n"
-		"%s"
-		"Content-Length: %d\r\n"
-		"Cache-Control: no-cache\r\n"
-		"\r\n%s", path, host, port, cookiebuff, len,
-		payload?payload:"");
+	         "HEAD %s HTTP/1.0\r\n"
+	         "Accept: */*\r\n"
+	         "Host: %s:%d\r\n"
+	         "User-Agent: Mozilla/4.5 [en] (" PACKAGE "/" VERSION ")\r\n"
+	         "%s"
+	         "Content-Length: %d\r\n"
+	         "Cache-Control: no-cache\r\n"
+	         "\r\n%s", path, host, port, cookiebuff, len,
+	         payload ? payload : "");
 
 	yahoo_send_http_request(id, host, port, buff, callback, data, ssl);
Index: protocols/yahoo/yahoo_util.c
===================================================================
--- protocols/yahoo/yahoo_util.c	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/yahoo_util.c	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -27,8 +27,8 @@
 #  define strrchr rindex
 # endif
-char *strchr (), *strrchr ();
+char *strchr(), *strrchr();
 # if !HAVE_MEMCPY
-#  define memcpy(d, s, n) bcopy ((s), (d), (n))
-#  define memmove(d, s, n) bcopy ((s), (d), (n))
+#  define memcpy(d, s, n) bcopy((s), (d), (n))
+#  define memmove(d, s, n) bcopy((s), (d), (n))
 # endif
 #endif
@@ -57,5 +57,6 @@
 {
 	char **v;
-	for(v = vector; *v; v++) {
+
+	for (v = vector; *v; v++) {
 		FREE(*v);
 	}
@@ -67,14 +68,17 @@
 	char ** vector;
 	char *s, *p;
-	int i=0;
+	int i = 0;
 	int l = strlen(sep);
-	if(nelem <= 0) {
+
+	if (nelem <= 0) {
 		char * s;
-		nelem=0;
+		nelem = 0;
 		if (*str) {
-			for(s=strstr(str, sep); s; s=strstr(s+l, sep),nelem++)
+			for (s = strstr(str, sep); s; s = strstr(s + l, sep), nelem++) {
 				;
-			if(strcmp(str+strlen(str)-l, sep))
+			}
+			if (strcmp(str + strlen(str) - l, sep)) {
 				nelem++;
+			}
 		}
 	}
@@ -82,14 +86,15 @@
 	vector = y_new(char *, nelem + 1);
 
-	for(p=str, s=strstr(p,sep); i<nelem && s; p=s+l, s=strstr(p,sep), i++) {
-		int len = s-p;
-		vector[i] = y_new(char, len+1);
+	for (p = str, s = strstr(p, sep); i < nelem && s; p = s + l, s = strstr(p, sep), i++) {
+		int len = s - p;
+		vector[i] = y_new(char, len + 1);
 		strncpy(vector[i], p, len);
 		vector[i][len] = '\0';
 	}
 
-	if(i<nelem && *str) /* str didn't end with sep, and str isn't empty */
+	if (i < nelem && *str) { /* str didn't end with sep, and str isn't empty */
 		vector[i++] = strdup(p);
-			
+	}
+
 	vector[i] = NULL;
 
@@ -100,6 +105,8 @@
 {
 	void * new_chunk = malloc(n);
-	if(new_chunk)
+
+	if (new_chunk) {
 		memcpy(new_chunk, addr, n);
+	}
 	return new_chunk;
 }
